Summary: An X Window System utility for monitoring system resources.
Name: xosview
Version: 1.7.3
Release: 6.72.1
Exclusiveos: Linux
Source0: ftp://sunsite.unc.edu/pub/Linux/utils/status/%{name}-%{version}.tar.bz2
Patch0: xosview-non-i386.patch
Patch1: xosview-io_h.patch
Patch2: xosview-ppc.patch
Patch3: xosview-rpath.patch
Patch5: xosview-1.7.1-s390.patch
Patch6: xosview-1.7.3-proc.patch
Patch7: xosview-1.7.3-procstat.patch
License: GPL/BSD
Group: Applications/System
Buildroot: %{_tmppath}/%{name}-%{version}-root
# XXX ia64 needs porting work
# XXX alpha barfs on linux/serial.h
ExcludeArch: ia64 alpha sparc

%description
The xosview utility displays a set of bar graphs which show the
current system state, including memory usage, CPU usage, system load,
etc. Xosview runs under the X Window System.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%ifarch ppc
%patch2 -p0
%endif
%patch3 -p0
%patch5 -p1 -b .s390
%patch6 -p1 -b .proc
%patch7 -p1 -b .procstat

# --- XXX Cruft Alert!
rm -f linux/*.o

%build
%{__cp} /usr/share/libtool/config.* config/
%configure --disable-linux-memstat

make all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6/{bin,man/man1,lib/X11/app-defaults}

make PREFIX_TO_USE=%{buildroot}/usr/X11R6 install

chmod u-s %{buildroot}/usr/X11R6/bin/*

mkdir -p %{buildroot}/etc/X11/applnk/Utilities
cat > %{buildroot}/etc/X11/applnk/Utilities/xosview.desktop <<EOF
[Desktop Entry]
name=xosview
Comment=OS resource statistics Viewer
Exec=xosview
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man1/*
%{_prefix}/X11R6/lib/X11/app-defaults/*
%config /etc/X11/applnk/Utilities/xosview.desktop

%changelog
* Tue Jun 10 2003 Than Ngo <than@redhat.com> 1.7.3-6.72.1
- fixed procstat issue, bug #67117

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Tue Apr 10 2001 Phil Knirsch <pknirsch@redhat.de>
- Fix for s390 patch to actually work

* Tue Mar 20 2001 Preston Brown <pbrown@redhat.com>
- fix up .desktop entry

* Sun Feb 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- fix typo

* Sun Feb 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- adjusted s390 patches

* Wed Jan 31 2001 Preston Brown <pbrown@redhat.com>
- upgrade to 1.7.3, fixes (#11380)

* Mon Jan 15 2001 Than Ngo <than@redhat.com>
- ported to ibm s/390

* Tue Jul 25 2000 Jeff Johnson <jbj@redhat.com>
- migrate wmconfig to applnk.

* Fri Jul 14 2000 Jeff Johnson <jbj@redhat.com>
- rebuild the auto-rebuild.
- exclude alpha and i164 for now.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun  2 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for 7.0

* Mon Feb 14 2000 Matt Wilson <msw@redhat.com>
- rebuild on i386

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- updated to 1.7.1.

* Wed Mar  3 1999 Matt Wilson <msw@redhat.com>
- updated to 1.7.0

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- build against new libstdc++, build on arm

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.6.2.a.

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add sparc/alpha functionality.
- add %clean

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- how the hell did this get setuid root?

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.1 (so that it compiles with egcs)
- buildroot

* Tue Nov  4 1997 Erik Troan <ewt@redhat.com>
- commented out line causing core dumps when exiting

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
